# apt-cacher-ng-client

#### 介绍
apt-cacher-ng 软件包是一个 apt proxy 服务端软件，
操作系统如果需要使用该软件，需要做一些设置。

apt-cacher-ng-client 软件包可以一次性的设置好相关配置文件，让操作系统方便的使用 apt 代理服务器来下载安装 deb 软件包。

#### 软件架构
本软件包需要依赖 auto-apt-proxy 软件包。

- 修改 /etc/hosts 文件，增加 apt-proxy 主机条目
- 直接访问 apt-proxy 的 apt 软件源，不代理
- 使用 http 方式访问软件源。（代理不支持 https）
  如原有方式是 https，则备份原有配置文件后，修改为 http 方式访问。

#### 安装教程

1.  apt install apt-cacher-ng-client

#### 使用说明

1.  disable-https-apt
2.  enable-https-apt

#### 使用要求
需要用 apt-cacher-ng 搭建后 apt proxy 服务端，启动 3142 端口。

并获取 服务端主机 IP，写入客户端 /etc/hosts 文件 apt-proxy 主机条目。
